package tech.nevets.admininv;

import org.bukkit.plugin.java.JavaPlugin;

import java.util.*;

public class AdminInv extends JavaPlugin {
    private HashMap<UUID, SerializablePlayerInventory> playerMap;
    private SaveInventories saveTask;

    public AdminInv() {
    }

    public void onEnable() {
            if (!this.getDataFolder().exists()) {
                this.getDataFolder().mkdir();
            }

            this.saveDefaultConfig();
            this.playerMap = new HashMap();
            this.getCommand("adminmode").setExecutor(new AdminInvCmdExecutor(this.playerMap, this));
            this.getLogger().info("AdminMode successfully enabled.");
            int time;
            if (this.getConfig().contains("savetime")) {
                time = this.getConfig().getInt("savetime") * 20;
            } else {
                time = 600;
                this.getConfig().set("savetime", Integer.valueOf(time));
                time = time * 20;
            }

            this.saveTask = new SaveInventories(this.playerMap.values());
            this.saveTask.runTaskTimerAsynchronously(this, time, time);
            if (!this.getConfig().contains("teleportOnSwitch")) {
                this.getConfig().set("teleportOnSwitch", false);
            }

            this.saveConfig();
    }

    public void onDisable() {
        Iterator i$ = this.playerMap.values().iterator();

        while(i$.hasNext()) {
            SerializablePlayerInventory invent = (SerializablePlayerInventory)i$.next();
            invent.save();
        }

        this.getLogger().info("AdminMode successfully disabled.");
    }

    public void updateSaveList() {
        this.saveTask.cancel();
        int time = this.getConfig().getInt("savetime") * 20;
        Collection<SerializablePlayerInventory> inventories = Collections.synchronizedList(new ArrayList(this.playerMap.values()));
        this.saveTask = new SaveInventories(inventories);
        this.saveTask.runTaskTimerAsynchronously(this, time, time);
    }
}
